       program fmain

       double precision d, d1, d2, d3
       double precision test2f

       d = 2.123
       d1 = d * 2.0

       d2 = test2f( d )
       call test2p( d, d3 )

       write (*,100) 'd1 = ', d1
       write (*,100) 'd2 = ', d2
       write (*,100) 'd3 = ', d3

100    format (a,f32.30)

       end
